summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2018-12-20 23:52:06 +0300
committerMikle Kolyada <zlogene@gentoo.org>2018-12-20 23:52:22 +0300
commit436c3fda9c6174f33bbfe0f168c05dd30fa6a354 (patch)
tree2c03032e780c136e0ef5ca4dfcddc2db60cf533a
parentgames-rpg/arx-fatalis-data: don't reference ${DISTDIR} in pkg_nofetch (diff)
downloadgentoo-436c3fda9c6174f33bbfe0f168c05dd30fa6a354.tar.gz
gentoo-436c3fda9c6174f33bbfe0f168c05dd30fa6a354.tar.bz2
gentoo-436c3fda9c6174f33bbfe0f168c05dd30fa6a354.zip
sys-apps/grep: Version bump (v3.2)
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--sys-apps/grep/Manifest1
-rw-r--r--sys-apps/grep/grep-3.2.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/sys-apps/grep/Manifest b/sys-apps/grep/Manifest
index d9491ea9585..d7fdc658d72 100644
--- a/sys-apps/grep/Manifest
+++ b/sys-apps/grep/Manifest
@@ -1,2 +1,3 @@
DIST grep-3.0.tar.xz 1375156 BLAKE2B 19f5441ed3fe5bb16d9d8327e76f0beb7eb837b727f6da99844dc9c74eb4def9eab857059c527e651758fa224a6f4079ec5939806645806f2db341ed0cb727e4 SHA512 0e9a00df9d492f399230bae0264942edaf64bb926f93edb7922f27b075a86ba0a78698f54996cc522b6261aa01a8ecbeadeb68523d4470a9941f242c3ae24c58
DIST grep-3.1.tar.xz 1370880 BLAKE2B d71a09d8bfd2c15b6d393d3ca4e22a2b2724632034a6d35d6e269a3c639d76ecaa5ae989a3d8466ee4bcf45e5d08862b0ef19194d6ec7ac6c250e6f60fc61031 SHA512 05494381c7dd8aad7e2ee4c17450de8d7b969a99dcfe17747db60df3475bf02d5323d091e896e8343e4f3251c29dc7f0b7a9f93c575c9d58ee2a57014c2c9d26
+DIST grep-3.2.tar.xz 1472904 BLAKE2B 45f13e6d00785d0fb26abe3e4cfcf2b561e74e1c8e134c7fd813cced4d4fff07dae4508047b3ce3eee986176320a34330617e6442b279a976834db57b5d37e03 SHA512 8d12417abe400ef83e2df41e74e937b15c86d84cf2c6288d43264d4497d3f047b7017f907944f04bfc6ebe9c17aff50adbd1945a95a8920b6ef660891df07aa6
diff --git a/sys-apps/grep/grep-3.2.ebuild b/sys-apps/grep/grep-3.2.ebuild
new file mode 100644
index 00000000000..93d0d712203
--- /dev/null
+++ b/sys-apps/grep/grep-3.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="GNU regular expression matcher"
+HOMEPAGE="https://www.gnu.org/software/grep/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
+ mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls pcre static"
+
+LIB_DEPEND="pcre? ( >=dev-libs/libpcre-7.8-r1[static-libs(+)] )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+ nls? ( virtual/libintl )
+ virtual/libiconv"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )
+ static? ( ${LIB_DEPEND} )"
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
+
+src_prepare() {
+ sed -i \
+ -e "s:@SHELL@:${EPREFIX}/bin/sh:g" \
+ -e "s:@grep@:${EPREFIX}/bin/grep:" \
+ src/egrep.sh || die #523898
+
+ default
+}
+
+src_configure() {
+ use static && append-ldflags -static
+ # Always use pkg-config to get lib info for pcre.
+ export ac_cv_search_pcre_compile=$(
+ usex pcre "$($(tc-getPKG_CONFIG) --libs $(usex static --static '') libpcre)" ''
+ )
+ econf \
+ --bindir="${EPREFIX}"/bin \
+ $(use_enable nls) \
+ $(use_enable pcre perl-regexp)
+}